<p align="center">
  <img src="https://img.shields.io/github/release/doubleangels/NextDNSManager.svg?logo=github&label=GitHub%20Build&style=for-the-badge" alt="GitHub Build">
  <img src="https://img.shields.io/f-droid/v/com.doubleangels.nextdnsmanagement.svg?logo=F-Droid&label=F-Droid%20Build&style=for-the-badge" alt="F-Droid Build">
  <img src="https://img.shields.io/github/actions/workflow/status/doubleangels/NextDNSManager/.github/workflows/deploy.yml?label=Deployment%20Pipeline&style=for-the-badge" alt="Main Deployment">
  <img src="https://img.shields.io/github/actions/workflow/status/doubleangels/NextDNSManager/.github/workflows/test-dev.yml?label=Development%20Testing&style=for-the-badge" alt="Development Testing">
  <img src="https://img.shields.io/librariesio/github/doubleangels/NextDNSManager?label=Dependencies&style=for-the-badge" alt="Dependencies">
  <img src="https://img.shields.io/github/issues/doubleangels/NextDNSManager?label=GitHub%20Issues&style=for-the-badge" alt="GitHub Issues">
  <img src="https://img.shields.io/github/issues-pr/doubleangels/NextDNSManager?label=GitHub%20Pull%20Requests&style=for-the-badge" alt="GitHub Pull Requests">
</p>

<p align="center">
  <img src="icons/web/icon-192.png" alt="NextDNS Manager Icon" width="96">
  <br>
  <a href="https://play.google.com/store/apps/details?id=com.doubleangels.nextdnsmanagement">
    <img src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png" alt="Get it on Google Play" height="48">
  </a>
  <a href="https://f-droid.org/en/packages/com.doubleangels.nextdnsmanagement">
    <img src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" alt="Get it on F-Droid" height="48">
  </a>
</p>

<p align="center">
  <img src="fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="Screenshot of NextDNS Manager" width="250">
</p>

# NextDNS Manager

NextDNS Manager is an Android application that simplifies managing your [NextDNS](https://nextdns.io) configuration. NextDNS is a cloud-based DNS filter and firewall designed to protect your home, family, and online privacy. With NextDNS Manager, you can effortlessly control your NextDNS settings to ensure a safer and more secure digital experience.

**Compatible with any Android device running Android 12L or later.**

> **Note:** NextDNS Manager is a completely open-source project and is not officially affiliated with NextDNS.

---

## Table of Contents

- [Features](#features)
- [Installation](#installation)
  - [Which installation method should I use?](#which-installation-method-should-i-use)
  - [Google Play Store](#google-play-store)
  - [F-Droid Installation](#f-droid-installation)
  - [Manual Installation](#manual-installation)
- [Reporting Issues & Feedback](#reporting-issues--feedback)
- [Contributing](#contributing)
- [Security Policy](#security-policy)
- [Privacy & Terms](#privacy--terms)
- [Donations](#donations)
- [License](#license)

---

## Features

- **Intuitive Interface:**  
  Enjoy a user-friendly experience enhanced with dark mode, dynamic/themed icons, and support for 14 languages.

- **Comprehensive Configuration Management:**  
  Easily manage your NextDNS settings including filtering modes, blocklists, and whitelists.

- **Real-Time Statistics:**  
  Monitor DNS queries, blocked requests, and security events as they happen.

- **Enhanced Security and Privacy:**  
  Benefit from NextDNS' robust filtering capabilities to safeguard your online activities.

- **Multiple Installation Options:**  
  Download and install NextDNS Manager via the Google Play Store, F-Droid, or directly from GitHub.

---

## Installation

### Which installation method should I use?

Your choice depends on your privacy preferences and update frequency needs:

- **Google Play Store:** Best for those who prefer automatic updates.
- **Manual APK Sideload:** Ideal if you cannot access Google Play.
- **F-Droid:** Suitable for users prioritizing open-source purity, though updates may take longer.

> **Note:**
>
> - FCM support (push notifications) are removed in F-Droid builds.
> - FCM support is enabled in Google Play builds.
> - Builds prior to version 5.5.0 do not support notifications.
> - If you have multiple versions on your device after the 5.5.0 update and have questions, [read this](https://github.com/doubleangels/nextdnsmanager/issues/430).

| Method             | Availability  |
| ------------------ | ------------- |
| **Google Play**    | A few minutes |
| **Sideloaded APK** | A few minutes |
| **F-Droid**        | Up to 14 days |

_F-Droid builds take longer because each update is manually signed in a secure, air-gapped environment._

### Google Play Store

Download NextDNS Manager from the [Google Play Store](https://play.google.com/store/apps/details?id=com.doubleangels.nextdnsmanagement).

### F-Droid Installation

Get NextDNS Manager on F-Droid from the [official page](https://f-droid.org/en/packages/com.doubleangels.nextdnsmanagement).

### Manual Installation

Download the latest APK directly from the [GitHub Releases page](https://github.com/doubleangels/NextDNSManager/releases).

---

## Reporting Issues & Feedback

If you encounter any issues or have suggestions to enhance NextDNS Manager, please take the following steps:

1. Check the [FAQ](FAQ.md) for common questions.
2. Open a new [GitHub Issue](https://github.com/doubleangels/NextDNSManager/issues/new/choose) with a detailed description.

_Please note that contributions and responses may take time as this project is maintained in my free time._

---

## Contributing

Interested in contributing? Please review the [Contributing Guidelines](CONTRIBUTING.md) to learn how you can help improve NextDNS Manager.

---

## Security Policy

Learn about my [Security Policy](SECURITY.md) for reporting vulnerabilities and keeping your data safe.

---

## Privacy & Terms

- [Privacy Policy](https://doubleangels.github.io/privacypolicy/nextdns.html)
- [Terms and Conditions](https://doubleangels.github.io/privacypolicy/nextdns_terms.html)

---

## Donations

Donations are completely optional but always appreciated.  
[Donate Here](https://donate.stripe.com/4gw8yhbvH0mg6SQ7ss)

---

## License

NextDNS Manager is released under the [GPLv3 License](LICENSE).

---

I hope you enjoy using NextDNS Manager. Happy managing!
